<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Introduction à Flexbox</title>
	<meta name="description" content="Exemples du cours d'introduction sur Flexbox cursus Designer Web" />
	<link rel="stylesheet" type="text/css" href="assets/css/main.css">
	<link href="https://fonts.googleapis.com/css?family=Libre+Franklin" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
</head>
<body>

<main class="flex">

	<!-- nav -->
	<nav class="flex">
		<img class="logo" alt="logo" src="assets/img/logo.png">
			<ul>
				<li><a href="index.html" title="Index Sommaire">Index</a></li>
				<li><a href="https://lc.cx/fFcZ" target="_blank" title="Cours LMS">Cours</a></li>
				<li><a href="mailto:stephane.arrami@gmail.com" title="Contail email">Contact</a></li>
			</ul>
	</nav>


	<section>
		<header>
				<h1>Sommaire - Flexbox par l'exemple</h1>	
				<p>Exemples du cours</p>
		</header>
		<div class="flex">

			<article>
				<h2>Exemples d'intégration en Flexbox</h2>
				<h3>Techniques</h3>
				<ul> 
					<li class="child"><a href="01.html" title="exo 01" target="_blank">01. Aligner horizontalement display:inline-block</a></li>
					<li class="child"><a href="02.html" title="exo 02" target="_blank">02. Aligner horizontalement comparaison display: flex</a></li>
					<li class="child"><a href="03.html" title="exo 03" target="_blank">03. Répartir les espaces vides parents justify-content: flex-end, flex-start, flex-center</a></li>
					<li class="child"><a href="04.html" title="exo 04" target="_blank">04. Répartir les espaces vides enfants 1/2 justify-content : space-between; </a></li>
					<li class="child"><a href="05.html" title="exo 05" target="_blank">05. Répartir les espaces vides enfants 2/2 justify-content :justify-content: space-around</a></li>
					<li class="child"><a href="06.html" title="exo 06" target="_blank">06. Couper une liste d’éléments en deux 1/2 margin-left: auto;</a> </li>
					<li class="child"><a href="07.html" title="exo 07" target="_blank">07. Couper une liste d’éléments en deux 2/2 margin: auto;</a></li>
					<li class="child"><a href="08.html" title="exo 08" target="_blank">08. Agrandir et réduire à un élément spécifique avec flex: auto;</a></li>
					<li class="child"><a href="09.html" title="exo 09" target="_blank">09. Répartir uniformément l'espace disponible avec flex-auto;</a></li>
					<li class="child"><a href="10.html" title="exo 10" target="_blank">10. Faire garder la taille nominale à un élément avec flex:none;</a></li>	
					<li class="child"><a href="11.html" title="exo 11" target="_blank">11. Autoriser le débordement du conteneur par flex:none appliqué aux enfants</a></li>
					<li class="child"><a href="12.html" title="exo 12" target="_blank">12. Autoriser le retour à la ligne au parent avec flex-wrap: wrap;</a></li>
					<li class="child"><a href="13.html" title="exo 12" target="_blank">13. Autoriser le retour à la ligne au parent avec flex-wrap: wrap-reverse;</a></li>
					<li class="child"><a href="14.html" title="exo 14" target="_blank">14. Autoriser le retour à la ligne au parent avec justification des blocs flex-auto; aux enfants</a></li>
					<li class="child"><a href="15.html" title="exo 15" target="_blank">15. Autoriser le retour à la ligne sur 2 colonnes</a></li>
					<li class="child"><a href="16.html" title="exo 16" target="_blank">16. Autoriser le retour à la ligne sur 3 colonnes</a></li>
					<li class="child"><a href="17.html" title="exo 17" target="_blank">17. Aligner les éléments verticalement avec flex:direction</a></li>
				</ul>
				<h3>Propriétés détaillées</h3>
				<ul> 
					<li class="child"><a href="18.html" title="exo 18" target="_blank">18. Tableau exemple de placements</a></li>
					<li class="child"><a href="19.html" title="exo 19" target="_blank">19. Définir un conteneur flexible</a></li>
					<li class="child"><a href="20.html" title="exo 20" target="_blank">20. Ordonner les éléments en lignes ou en colonnes Flex:column</a></li>
					<li class="child"><a href="21.html" title="exo 21" target="_blank">21. Placer les éléments flexibles sur plusieurs lignes ou colonnes Flex-wrap</a></li>
					<li class="child"><a href="22.html" title="exo 22" target="_blank">22. Ordonner avec un poids donné aux éléments order</a></li>
					<li class="child"><a href="23.html" title="exo 23" target="_blank">23. Alignement avec la propriété align-content sur l'axe secondaire</a></li>
					<li class="child"><a href="#" title="exo 24" target="_blank">24. Surcharger l'alignement avec align-self sur l'axe secondaire</a></li>
					<li class="child"><a href="#" title="exo 25" target="_blank">25. Rétablir l'espace disponible</a></li>
					<li class="child"><a href="#" title="exo 26" target="_blank">26. La super-propriété Flex</a></li>
					
				</ul>
			</article>

			<article>
					<h2>Aller plus loin</h2>
					<p>Gabarit de mise en page du tutoriel réalisé avec Flexbox<br />
					Les sources sont régulièrement mises à jour et disponibles sur GitLab Pages</p>
									<!-- http://placekitten.com/ -->
				<figure>
						<img src="http://placekitten.com/g/500/500" alt="A cute kitten.">
						<figcaption>Placekitten</figcaption>
				</figure>	
					<figure>
						<img src="https://picsum.photos/200/300/?random" alt="Random picture placeholder">
						<figcaption>Picsum photos</figcaption>
					</figure>
			</article>


		</div>



			<article>
					<h2>Exercices</h2>
					<p>Les exercice, évaluations, sont disponibles sur la plateforme ou dossier ressources du centre.</p>
			</article>


			<footer class="flex">
				<p>Stéphane ARRAMI Novembre 2017 - v-1.0.2.0</p>
			</footer>



	</section>
</main>
</body>
</html>